Holger's Java API

## com.antelmann.genealogy
Class GPersonalBlogEntry

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.genealogy.GPersonalBlogEntry

All Implemented Interfaces:
  Timed, DBEntry, ProtocolNote, Taggable<GTag>, GeoEncoded, Serializable

    public class GPersonalBlogEntry

extends AbstractDBEntry
implements ProtocolNote, GeoEncoded, Taggable<GTag>

Since:
  01.06.2014, 01:33:27
Author:
  holger
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`GPersonalBlogEntry(Object id, Stub<GPerson> person, long time, String notes)`

Method Summary
`boolean` `add(GTag tag)` makes this instance member of the given group
`Stub<GPerson>` `getDocumentReference()` specifies a reference to the document this protocol note is based on
`GeoPoint` `getGeoPoint()`
`String` `getLocation()`
`String` `getNotes()` specifies notes as a string message
`Stub<GPerson>` `getPerson()`
`Collection<GTag>` `getTags()` lists all groups that this instance is currently a member of (the data is essentially derived from a set)
`long` `getTime()`
`boolean` `isTagged(GTag tag)` allows to determine the membership of the given tag or group
`boolean` `remove(GTag tag)` terminates the membership of this instance to the given group
`void` `setGeoPoint(GeoPoint gp)`
`void` `setLocation(String location)`
`void` `setNotes(String notes)`
`void` `setPerson(Stub<GPerson> person)`
`void` `setTime(long time)`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GPersonalBlogEntry

    public GPersonalBlogEntry(Object id,
                              Stub<GPerson> person,
                              long time,
                              String notes)

Method Detail

### getDocumentReference

    public Stub<GPerson> getDocumentReference()

  Description copied from interface: `ProtocolNote`
  specifies a reference to the document this protocol note is based on

  Specified by:
    `getDocumentReference` in interface `ProtocolNote`
  See Also:
    `getPerson()`

### getPerson

    public Stub<GPerson> getPerson()

### setPerson

    public void setPerson(Stub<GPerson> person)

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### setTime

    public void setTime(long time)

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getGeoPoint

    public GeoPoint getGeoPoint()

  Specified by:
    `getGeoPoint` in interface `GeoEncoded`

### setGeoPoint

    public void setGeoPoint(GeoPoint gp)

### getNotes

    public String getNotes()

  Description copied from interface: `ProtocolNote`
  specifies notes as a string message

  Specified by:
    `getNotes` in interface `ProtocolNote`

### setNotes

    public void setNotes(String notes)

### add

    public boolean add(GTag tag)
                throws IllegalArgumentException

  Description copied from interface: `Taggable`
  makes this instance member of the given group

  Specified by:
    `add` in interface `Taggable<GTag>`
  Parameters:
    `tag` - the Group object that this instance is to become a member of
  Returns:
    true only if the group was actually added to this instance or false if it already was a member of that group
  Throws:
    `IllegalArgumentException` - if this instance cannot be part of the given group

### getTags

    public Collection<GTag> getTags()

  Description copied from interface: `Taggable`
  lists all groups that this instance is currently a member of (the data is essentially derived from a set)

  Specified by:
    `getTags` in interface `Taggable<GTag>`

### isTagged

    public boolean isTagged(GTag tag)

  Description copied from interface: `Taggable`
  allows to determine the membership of the given tag or group

  Specified by:
    `isTagged` in interface `Taggable<GTag>`

### remove

    public boolean remove(GTag tag)

  Description copied from interface: `Taggable`
  terminates the membership of this instance to the given group

  Specified by:
    `remove` in interface `Taggable<GTag>`
  Parameters:
    `tag` - the Group that this instance is to be removed from as a member
  Returns:
    true only if this instance was previously a member of the given group.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads